Bug 147166 - NEW PORT devel/subvertpy
Summary: NEW PORT devel/subvertpy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-28 17:20 UTC by Carlo Strub
Modified: 2010-09-23 22:40 UTC (History)
0 users

See Also:


Attachments
file.shar (4.81 KB, text/plain)
2010-05-28 17:20 UTC, Carlo Strub
no flags Details
port.txt (4.87 KB, text/plain; charset=UTF-8)
2010-06-01 07:41 UTC, Carlo Strub
no flags Details
port.txt (4.83 KB, text/plain; charset=UTF-8)
2010-06-07 12:45 UTC, Carlo Strub
no flags Details
port.txt (4.83 KB, text/plain; charset=UTF-8)
2010-06-09 19:27 UTC, Carlo Strub
no flags Details
subvertpy.txt (4.77 KB, text/plain)
2010-08-09 07:30 UTC, Carlo Strub
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlo Strub freebsd_committer 2010-05-28 17:20:01 UTC
This is a new port with Python bindings for subversion.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2010-05-29 16:55:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Carlo Strub freebsd_committer 2010-06-01 07:41:31 UTC
Dependencies fixed.
Comment 3 Martin Wilke freebsd_committer 2010-06-05 12:28:13 UTC
State Changed
From-To: open->feedback

build failed 
http://32bit.miwibox.org/index.php?action=describe_port&id=2185
Comment 4 Carlo Strub freebsd_committer 2010-06-07 12:45:02 UTC
Removed apr-1 as it is installed already by subversion, hence it is
redundant.
Comment 5 Carlo Strub freebsd_committer 2010-06-09 19:27:23 UTC
fix dependency. sorry about that...
Comment 6 Carlo Strub freebsd_committer 2010-08-09 07:30:14 UTC
Update to latest version 0.7.3.1
Comment 7 Martin Wilke freebsd_committer 2010-09-11 13:15:10 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool.
Comment 8 Philip M. Gollucci freebsd_committer 2010-09-14 07:39:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it
Comment 9 Philip M. Gollucci freebsd_committer 2010-09-14 07:48:42 UTC
State Changed
From-To: feedback->open

open
Comment 10 Philip M. Gollucci freebsd_committer 2010-09-23 00:07:28 UTC
Responsible Changed
From-To: pgollucci->glarkin

glarkin wants his prs
Comment 11 Greg Larkin freebsd_committer 2010-09-23 22:35:25 UTC
State Changed
From-To: open->closed

Committed with some Makefile modifications and directory name 
change from devel/subvertpy to devel/py-subvertpy. 

Thank you!
Comment 12 dfilter service freebsd_committer 2010-09-23 22:35:28 UTC
glarkin     2010-09-23 21:35:22 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/py-subvertpy   Makefile distinfo pkg-descr pkg-plist 
  Log:
  This is an implementation of Python bindings for the Subversion
  version control system, aiming to be complete, fast and feel native
  to Python programmers.
  
  Bindings are provided for the working copy, client, delta, remote
  access and repository APIs. A hookable server side implementation
  of the custom Subversion protocol (svn_ra) is also provided.
  
  www: https://launchpad.net/subvertpy
  
  PR:             ports/147166
  Submitted by:   Carlo Strub (c-s at c-s.li)
  
  Revision  Changes    Path
  1.4056    +1 -0      ports/devel/Makefile
  1.1       +28 -0     ports/devel/py-subvertpy/Makefile (new)
  1.1       +3 -0      ports/devel/py-subvertpy/distinfo (new)
  1.1       +9 -0      ports/devel/py-subvertpy/pkg-descr (new)
  1.1       +58 -0     ports/devel/py-subvertpy/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"